﻿.gridFormContainer {
    display: grid;
    grid-template-columns: minmax(400px, 1fr) minmax(350px, 700px) minmax(400px, 1fr);
    /*grid-template-columns: 400px 100px  400px;*/
    /*grid-template-rows: minmax(50px, max-content )*/
}

    .gridFormContainer > .gridLeft {
    }

    .gridFormContainer > .gridMiddle {
    }

    .gridFormContainer > .gridRight {
    }

    .gridFormContainer .reqfield {
        color: red;
        font-size: 8px;
    }
    .gridFormContainer .textconsolas {
        font-family: Consolas;
        font-size: 1.1em;
    }


    .gridFormContainer .formerror {
        color: red;
    }

    /*Layout of inner form grid  */
    .gridFormContainer .gridInnerFormContainer {
        display: grid;
        grid-template-columns: 1fr minmax(400px, 800px) 1fr;
        grid-template-rows: auto;
        
    }

    .gridFormContainer .gridInnerLogon {
        display: grid;
        grid-template-columns: 1fr 700px 1fr;
        grid-template-rows: auto;
        justify-content: center;
    }


@media only screen and (max-width: 1400px) {
    .gridFormContainer {
        grid-template-columns: auto; /*1 column*/
        grid-template-rows: max-content max-content max-content;
    }

        .gridFormContainer > .gridLeft {
            grid-row-start: 2;
            grid-row-end: 3;
        }

        .gridFormContainer > .gridMiddle {
            grid-row-start: 1;
            grid-row-end: 2;
            /* margin-left: auto;
            margin-right: auto;*/
        }

        .gridFormContainer > .gridRight {
            grid-row-start: 3;
            grid-row-end: -1
        }

        .gridFormContainer .frmMenuVertical {
            position: absolute;
            overflow: hidden;
            clip: rect(0 0 0 0);
            height: 1px;
            width: 1px;
            margin: -1px;
            padding: 0;
            border: 0;
        }

        .gridFormContainer .frmMenuHorizontal {
            /*background-color:green;*/
            /*filter: opacity(1) !important;*/
            visibility: visible !important;
            text-align: center;
            margin: 15px;
        }

    .advert {
        background-color: yellow !important;
        position: absolute;
        overflow: hidden;
        clip: rect(0 0 0 0);
        height: 1px;
        width: 1px;
        margin: -1px;
        padding: 0;
        border: 0;
    }

    .gridFormContainer .gridInnerLogon {
        display: grid;
        grid-template-columns: 1fr 550px 1fr;
        grid-template-rows: auto;
        justify-content: center;
    }
}



.gridFormContainer .formheader, .gridFormContainer .formFooter {
    background-color: #6D8AB1 !important;
    color: white !important;
}

gridFormContainer .formFooter {
}

.gridFormContainer .frmMenuVertical {
}

.gridFormContainer .frmMenuHorizontal {
    visibility: hidden;
    text-align: center;
    margin-top: 15px;
}


.gridFormContainer .viewLeft {
    text-align: right;
    background-color: #E5E5E5;
    font-size: 1.1em;
    padding: 5px 10px 5px 15px;
    font-weight: 600;
    display: inline-block;
    width: 75%;
    /*border: 1px solid red;*/
}
.gridFormContainer .viewRight {
    background-color: white;
    font-size: 0;
    padding: 5px 10px 5px 10px;
    font-weight: 400;
    white-space: pre-line;
    display: inline-block;
    width: 20%;
 /*   border:1px solid blue;*/
}


.gridFormContainer .advert {
    width: 350px;
    height: 400px;
    background-color: #d9edf7;
    padding: 15px 5px;
}

/* Add Form Table */

.recentAddTable {
    background-color: #fefefe;
    border-color: #fdfdfe;
}

    .recentAddTable .headRow {
        background-color: #6D8AB1;
    }

    .recentAddTable .ctr {
        text-align: center;
    }

    .recentAddTable table {
        border-radius: 10px;
    }
